# Interface MApplicationFactory

All Known Implementing Classes:
  `ApplicationFactoryImpl`

public interface MApplicationFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MApplicationFactory`
`INSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`MAddon`
`createAddon()`
Returns a new object of class 'Addon'.
`MApplication`
`createApplication()`
Returns a new object of class 'Application'.

## Field Details

### INSTANCE

static final MApplicationFactory INSTANCE
The singleton instance of the factory.

## Method Details

### createApplication

MApplication createApplication()
Returns a new object of class 'Application'.

Returns:
  a new object of class 'Application'.
Since:
  1.0

### createAddon

MAddon createAddon()
Returns a new object of class 'Addon'.

Returns:
  a new object of class 'Addon'.
Since:
  1.0